#
# spec file for package trophy (Version 1.0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  clanlib clanlib-devel doxygen gpp hermes hermes-devel libgpp xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip clanlib clanlib-devel compress cpio cpp cracklib cyrus-sasl db devs diffutils doxygen e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip hermes hermes-devel kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xshared

Name:         trophy
Copyright:    GPL
Group:        X11/Games
Summary:      2D car racing action game
Version:      1.0.6
Release:      66
Url:          http://trophy.sourceforge.net/index.php3
Source:       %{name}-%{version}-src.tar.bz2
Patch:        %{name}.diff
Patch1:       %{name}-alpha.diff
BuildRoot:    %{_tmppath}/%{name}-build

%description
TROPHY is a car racing game with some special features
like shooting and dropping bombs.

Authors:
--------
    Andrew Mustun <andrew@mustun.com>
    Benjamin Winkler <bentsch@mail.com>

SuSE series: fun

%prep
%setup -n %{name}-%{version}-src
%patch
%ifarch alpha
%patch1
%endif

%build
cd trophy
sed -e s:resources/:/usr/share/trophy/resources/: resources.scr > resources.scr.n
mv resources.scr.n resources.scr
%{suse_update_config -f}
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
	    --prefix=%{_prefix}  \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir}
make
# on axp doxygen is not built due to internal compiler error
%ifnarch alpha
    make doc
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
cd trophy
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.old README TODO 
%ifnarch alpha
%doc trophy/doc
%endif
%{_prefix}/bin/*
%{_prefix}/share/trophy

%changelog -n trophy
* Wed Aug 29 2001 - rvasice@suse.cz
- fix to build on axp - remove making documentation
* Mon Jul 23 2001 - rvasice@suse.cz
- fix to build on s390
* Fri Jul 13 2001 - rvasice@suse.cz
- fix loading images
* Mon Jun 11 2001 - rvasice@suse.cz
- update to version 1.0.6
* Fri Dec 08 2000 - cihlar@suse.cz
- removed CVS directories and files
* Thu Nov 30 2000 - cihlar@suse.cz
- removed making doc on axp
* Wed Nov 29 2000 - cihlar@suse.cz
- package created
